查看或阅读论文
curl --request GET \
--url https://api.firecrawl.dev/v2/search/research/papers/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.firecrawl.dev/v2/search/research/papers/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.firecrawl.dev/v2/search/research/papers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"paper": {
"abstract": "We show that diffusion models can achieve image sample quality superior to the current state-of-the-art generative models...",
"authors": "Prafulla Dhariwal, Alexander Nichol",
"categories": [
"cs.LG"
],
"createdDate": "Wed, 11 May 2021 18:01:01 GMT",
"ids": {
"arxiv": [
"2105.05233"
]
},
"paperId": "2014215642691656232",
"title": "Diffusion Models Beat GANs on Image Synthesis",
"updateDate": "2021-06-01"
},
"success": true
}研究索引端点
查看或读取论文
GET
/
search
/
research
/
papers
/
{id}
查看或阅读论文
按 id 查看论文元数据,或添加
query 参数以阅读与某个问题最相关的全文段落。
接受的 id 包括标准的 paperId 值以及特定来源的 primaryId 值 (例如 arxiv:1706.03762) 。
有关工作流概览,请参见 Research Index 指南。授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
路径参数
论文引用:规范 paperId 或源特定 primaryId。
查询参数
提供时,返回与此问题最匹配的顶部全文段落;省略时则仅查看元数据。
Minimum string length:
1阅读模式下的段落数量。仅在提供 query 时有效。
必填范围:
1 <= x <= 50⌘I

